using System;
using NwndSpAPI.Models;
using NwndSpAPI.Domain;
using NwndSpAPI.BusinessObject;
using System.Collections.Generic;

namespace NwndSpAPI.ViewModels.Base
{ 
     /// <summary>
     /// Base class for CategoriesViewModel.  Do not make changes to this class,
     /// instead, put additional code in the CategoriesViewModel class 
     /// </summary>
     public class CategoriesViewModelBase
     { 
         public NwndSpAPI.Models.CategoriesModel CategoriesModel { get; set; }
         public CrudOperation Operation { get; set; }
         public string ViewControllerName { get; set; }
         public string ViewActionName { get; set; }
         public string ViewReturnUrl { get; set; }
         public string URLReferrer { get; set; }
     } 
} 
