using System;
using NwndSpAPI.Models;
using NwndSpAPI.Domain;
using NwndSpAPI.BusinessObject;
using System.Collections.Generic;

namespace NwndSpAPI.ViewModels.Base
{ 
     /// <summary>
     /// Base class for ProductsViewModel.  Do not make changes to this class,
     /// instead, put additional code in the ProductsViewModel class 
     /// </summary>
     public class ProductsViewModelBase
     { 
         public NwndSpAPI.Models.ProductsModel ProductsModel { get; set; }
         public CrudOperation Operation { get; set; }
         public string ViewControllerName { get; set; }
         public string ViewActionName { get; set; }
         public string ViewReturnUrl { get; set; }
         public string URLReferrer { get; set; }
         public List<Suppliers> SuppliersDropDownListData { get; set; }
         public List<Categories> CategoriesDropDownListData { get; set; }
     } 
} 
